Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137013 - Evaluate and use EditorContextDispatcher
Evaluate and use EditorContextDispatcher
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: PERFORMANCE
Depends on: 137005
Blocks: 133682
  Show dependency treegraph
 
Reported: 2008-06-11 16:05 UTC by Martin Entlicher
Modified: 2010-04-29 09:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
The proposed change in JPDA debugger. (28.65 KB, text/plain)
2008-06-11 16:07 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2008-06-11 16:05:43 UTC
In order to improve performance of context switching, EditorContextDispatcher was introduced to provide the current
context and an efficient way to listen on changes concerning files of specific MIME type. See issue #133682 for details.

The proposed change in JPDA debugger is attached.
Comment 1 Martin Entlicher 2008-06-11 16:07:26 UTC
Created attachment 62674 [details]
The proposed change in JPDA debugger.
Comment 2 Martin Entlicher 2008-06-25 14:13:13 UTC
Integrated in trunk, changeset:   86447:bde6aa5e3346
http://hg.netbeans.org/main/rev/bde6aa5e3346
Comment 3 Quality Engineering 2008-06-27 15:58:42 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #285 build
Changeset: http://hg.netbeans.org/main/rev/bde6aa5e3346
User: mentlicher@netbeans.org
Log: #137013 - JPDA debugger uses EditorContextDispatcher.
Comment 4 Quality Engineering 2010-04-29 09:40:20 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo